"""Database file and connection details."""
# flake8: noqa
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


from vigorish.models import (
    Assoc_Player_Team,
    BatStats,
    BatStatsCsvRow,
    DateScrapeStatus,
    DateScrapeStatusCsvRow,
    GameScrapeStatus,
    GameScrapeStatusCsvRow,
    PitchAppScrapeStatus,
    PitchAppScrapeStatusCsvRow,
    PitchFx,
    PitchFxCsvRow,
    PitchStats,
    PitchStatsCsvRow,
    Player,
    PlayerId,
    ScrapeError,
    ScrapeJob,
    Season,
    Team,
    TimeBetweenPitches,
)
from vigorish.views import (
    Date_PitchApp_View,
    Game_PitchApp_View,
    PitchType_All_View,
    PitchType_Left_View,
    PitchType_Right_View,
    Player_PitchFx_All_View,
    Player_PitchFx_By_Year_View,
    Player_PitchFx_Left_View,
    Player_PitchFx_Right_View,
    Player_PitchType_All_View,
    Player_PitchType_By_Year_View,
    Player_PitchType_Left_View,
    Player_PitchType_Right_View,
    PitchApp_PitchFx_All_View,
    PitchApp_PitchFx_Left_View,
    PitchApp_PitchFx_Right_View,
    PitchApp_PitchType_All_View,
    PitchApp_PitchType_Left_View,
    PitchApp_PitchType_Right_View,
    Player_BatStats_All_View,
    Player_BatStats_By_Opp_Team_View,
    Player_BatStats_By_Opp_Team_Year_View,
    Player_BatStats_By_Team_View,
    Player_BatStats_By_Team_Year_View,
    Player_BatStats_By_Year_View,
    Player_PitchStats_All_View,
    Player_PitchStats_By_Opp_Team_View,
    Player_PitchStats_By_Opp_Team_Year_View,
    Player_PitchStats_By_Team_View,
    Player_PitchStats_By_Team_Year_View,
    Player_PitchStats_By_Year_View,
    Player_PitchStats_RP_View,
    Player_PitchStats_SP_View,
    Season_Date_View,
    Season_Game_PitchApp_View,
    Season_Game_View,
    Season_PitchApp_View,
    Team_BatStats_By_BatOrder_By_Player_By_Year,
    Team_BatStats_By_BatOrder_By_Year,
    Team_BatStats_By_DefPosition_By_Player_By_Year,
    Team_BatStats_By_DefPosition_By_Year,
    Team_BatStats_By_Player_By_Year_View,
    Team_BatStats_For_Starters_By_Player_By_Year,
    Team_BatStats_For_Starters_By_Year,
    Team_BatStats_For_Subs_By_Player_By_Year,
    Team_BatStats_For_Subs_By_Year,
    Team_BatStats_By_Year_View,
    Team_PitchStats_By_Player_By_Year_View,
    Team_PitchStats_By_Year_View,
    Team_PitchStats_RP_By_Player_By_Year_View,
    Team_PitchStats_RP_By_Year_View,
    Team_PitchStats_SP_By_Player_By_Year_View,
    Team_PitchStats_SP_By_Year_View,
)
